/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import form.FrmMath;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import model.MathModel;

/**
 *
 * @author student1
 */
public class Controller {
    private final FrmMath frmMath;
    private final MathModel mathModel;

    public Controller(FrmMath frmMath, MathModel mathModel) {
        this.frmMath = frmMath;
        this.mathModel = mathModel;
        
        registerListener();
    }

    private void registerListener() {
        frmMath.registerListener(this);
    }

    public void registerBtnAddAction(JButton btnAdd) {
        btnAdd.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent ae) {
                int a=frmMath.getValueTxtA();
                int b=frmMath.getValueTxtB();
                mathModel.setA(a);
                mathModel.setB(b);
                mathModel.add();
                frmMath.setValueTxtResult(mathModel.getResult());
            }
        });
    }

    public void registerBtnSubAction(JButton btnSubstract) {
        btnSubstract.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent ae) {
                int a=frmMath.getValueTxtA();
                int b=frmMath.getValueTxtB();
                mathModel.setA(a);
                mathModel.setB(b);
                mathModel.sub();
                frmMath.setValueTxtResult(mathModel.getResult());
            }
        });
    
    }
    
    
}

